[openssh-commits] [openssh] 01/04: upstream commit

git+noreply at mindrot.org git+noreply at mindrot.org
Mon Sep 18 14:13:07 AEST 2017


This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 239c57d5bc2253e27e3e6ad7ac52ec8c377ee24e
Author: dtucker at openbsd.org <dtucker at openbsd.org>
Date:   Fri Jul 28 10:32:08 2017 +0000

    upstream commit
    
    Don't call fatal from stop_sshd since it calls cleanup
    which calls stop_sshd which will probably fail in the same way.  Instead,
    just bail. Differentiate between sshd dying without cleanup and not shutting
    down.
    
    Upstream-Regress-ID: f97315f538618b349e2b0bea02d6b0c9196c6bc4
---
 regress/test-exec.sh | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/regress/test-exec.sh b/regress/test-exec.sh
index 1480f13f..68f010b7 100644
--- a/regress/test-exec.sh
+++ b/regress/test-exec.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: test-exec.sh,v 1.60 2017/04/30 23:34:55 djm Exp $
+#	$OpenBSD: test-exec.sh,v 1.61 2017/07/28 10:32:08 dtucker Exp $
 #	Placed in the Public Domain.
 
 #SUDO=sudo
@@ -304,8 +304,15 @@ stop_sshd ()
 					i=`expr $i + 1`
 					sleep $i
 				done
-				test -f $PIDFILE && \
-				    fatal "sshd didn't exit port $PORT pid $pid"
+				if test -f $PIDFILE; then
+					if $SUDO kill -0 $pid; then
+						echo "sshd didn't exit " \
+						    "port $PORT pid $pid"
+					else
+						echo "sshd died without cleanup"
+					fi
+					exit 1
+				fi
 			fi
 		fi
 	fi

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list